X2Go Bug report logs - #744
user-local keystrokes.cfg does not work

version graph

Package: x2goagent; Maintainer for x2goagent is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goagent is src:nx-libs.

Reported by: Horst Schirmeier <horst@schirmeier.com>

Date: Thu, 15 Jan 2015 15:20:01 UTC

Severity: normal

Tags: patch, pending

Found in version 2:3.5.0.29-0x2go1~git20150113.557+wheezy.heuler.1

Fixed in version 2:3.5.0.29

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#744; Package x2goagent. (Thu, 15 Jan 2015 15:20:01 GMT) (full text, mbox, link).


Acknowledgement sent to Horst Schirmeier <horst@schirmeier.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 15 Jan 2015 15:20:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Horst Schirmeier <horst@schirmeier.com>
To: submit@bugs.x2go.org
Subject: user-local keystrokes.cfg does not work
Date: Thu, 15 Jan 2015 16:10:46 +0100
Package: x2goagent
Version: 2:3.5.0.29-0x2go1~git20150113.557+wheezy.heuler.1

A user-local ~/.nx/config/keystrokes.cfg (as described on
<http://wiki.x2go.org/doku.php/wiki:advanced:nx-keyboard-shortcuts>,
which, btw, still talks about the singular file name "keystroke.cfg") is
not read by nxagent, incapacitating users from overriding system-wide
defaults.

The core reason is the way x2goagent communicates the custom
/etc/x2go/keystrokes.cfg path to nxagent:

NXAGENT_KEYSTROKEFILE=/etc/x2go/keystrokes.cfg
export NXAGENT_KEYSTROKEFILE

In nxagent's keystroke-file search order, this environment variable is
tested for before ~/.nx/config/keystrokes.cfg is looked at.  As a simple
remedy, I suggest imitating nxagent's search order in the x2goagent
wrapper script:

---
 debian/wrappers/x2goagent | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

diff --git a/debian/wrappers/x2goagent b/debian/wrappers/x2goagent
index 129c7ca..750c651 100644
--- a/debian/wrappers/x2goagent
+++ b/debian/wrappers/x2goagent
@@ -29,7 +29,15 @@ test -x $NX_LIBS/../x2go/bin/$NXAPP && export NX_LIBS=$NX_LIBS
 
 export LD_LIBRARY_PATH
 
-NXAGENT_KEYSTROKEFILE=/etc/x2go/keystrokes.cfg
-export NXAGENT_KEYSTROKEFILE
+for CONFIG in ~/.x2go/config/keystrokes.cfg ~/.nx/config/keystrokes.cfg \
+              /etc/x2go/keystrokes.cfg /etc/nxagent/keystrokes.cfg
+do
+	if [ -r "$CONFIG" ]
+	then
+		NXAGENT_KEYSTROKEFILE=$CONFIG
+		export NXAGENT_KEYSTROKEFILE
+		break
+	fi
+done
 
 exec $NX_LIBS/../x2go/bin/$NXAPP "$@"

-- 
PGP-Key 0xD40E0E7A


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#744; Package x2goagent. (Thu, 15 Jan 2015 21:00:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 15 Jan 2015 21:00:02 GMT) (full text, mbox, link).


Message #10 received at 744@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: Horst Schirmeier <horst@schirmeier.com>
Cc: 744@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#744: user-local keystrokes.cfg does not work
Date: Thu, 15 Jan 2015 21:57:27 +0100
[Message part 1 (text/plain, inline)]
On 15.01.2015 04:10 PM, Horst Schirmeier wrote:
>  debian/wrappers/x2goagent | 12 ++++++++++--
>  1 file changed, 10 insertions(+), 2 deletions(-)
>
> diff --git a/debian/wrappers/x2goagent b/debian/wrappers/x2goagent
> index 129c7ca..750c651 100644
> --- a/debian/wrappers/x2goagent
> +++ b/debian/wrappers/x2goagent
> @@ -29,7 +29,15 @@ test -x $NX_LIBS/../x2go/bin/$NXAPP && export NX_LIBS=$NX_LIBS
>  
>  export LD_LIBRARY_PATH
>  
> -NXAGENT_KEYSTROKEFILE=/etc/x2go/keystrokes.cfg
> -export NXAGENT_KEYSTROKEFILE
> +for CONFIG in ~/.x2go/config/keystrokes.cfg ~/.nx/config/keystrokes.cfg \
> +              /etc/x2go/keystrokes.cfg /etc/nxagent/keystrokes.cfg

Do we actually WANT to make ~/.nx/foo override /etc/x2go/foo *for
x2goagent*? Or do we rather want to get rid of ~/.nx and /etc/nxagent
entirely within x2go components (which, really, would make some sort of
sense, especially if $SOMETHING created ~/.nx/config/keystrokes.cfg and
users wonder why /etc/x2go/keystrokes.cfg does not take any effect.)

Actually, I see another problem there. Wouldn't it be smarter to
consider both ~/.x2go/foo and /etc/x2go/keystrokes.cfg (if existent),
with values in ~/.x2go/foo overriding those of the global configuration
file? A priority-based merge would really be the thing we're looking
for. I've got something like that lying around.

It's not exactly small, though. And would benefit from being shared
code, as it could (and also would) be used in both x2goagent and x2goserver.



Mihai

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#744; Package x2goagent. (Thu, 15 Jan 2015 21:35:01 GMT) (full text, mbox, link).


Acknowledgement sent to Horst Schirmeier <horst@schirmeier.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 15 Jan 2015 21:35:01 GMT) (full text, mbox, link).


Message #15 received at 744@bugs.x2go.org (full text, mbox, reply):

From: Horst Schirmeier <horst@schirmeier.com>
To: Mihai Moldovan <ionic@ionic.de>
Cc: 744@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#744: user-local keystrokes.cfg does not work
Date: Thu, 15 Jan 2015 22:27:01 +0100
[Message part 1 (text/plain, inline)]
On Thu, 15 Jan 2015, Mihai Moldovan wrote:
> Do we actually WANT to make ~/.nx/foo override /etc/x2go/foo *for
> x2goagent*? Or do we rather want to get rid of ~/.nx and /etc/nxagent
> entirely within x2go components (which, really, would make some sort of
> sense, especially if $SOMETHING created ~/.nx/config/keystrokes.cfg and
> users wonder why /etc/x2go/keystrokes.cfg does not take any effect.)

I have no objection removing ~/.nx and /etc/nxagent from the file list
in my patch, keeping ~/.x2go/config/keystrokes.cfg and
/etc/x2go/keystrokes.cfg.  As ~/.nx does not work at all at the moment,
this wouldn't even break existing setups (but would require updating the
documentation in the wiki).

> Actually, I see another problem there. Wouldn't it be smarter to
> consider both ~/.x2go/foo and /etc/x2go/keystrokes.cfg (if existent),
> with values in ~/.x2go/foo overriding those of the global configuration
> file? A priority-based merge would really be the thing we're looking
> for. I've got something like that lying around.
> 
> It's not exactly small, though. And would benefit from being shared
> code, as it could (and also would) be used in both x2goagent and x2goserver.

This may or may not be a good idea.  For example, IMHO it'd require
introducing a way to completely remove/disable /etc/x2go/keystrokes.cfg
definitions via directives in user-local files, instead of only
overriding key definitions.  Also, it has the potential of not being
compatible to existing setups.  Nevertheless, I suggest opening a new
bug for this, as #744 needs to be fixed either way.

Horst

-- 
PGP-Key 0xD40E0E7A
[signature.asc (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#744; Package x2goagent. (Thu, 15 Jan 2015 23:00:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 15 Jan 2015 23:00:02 GMT) (full text, mbox, link).


Message #20 received at 744@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Mihai Moldovan <ionic@ionic.de>, 744@bugs.x2go.org, Horst Schirmeier <horst@schirmeier.com>
Subject: Re: [X2Go-Dev] Bug#744: Bug#744: user-local keystrokes.cfg does not work
Date: Thu, 15 Jan 2015 22:56:49 +0000
[Message part 1 (text/plain, inline)]
Control: tag -1 patch

Hi Horst, hi Mihai,

On  Do 15 Jan 2015 21:57:27 CET, Mihai Moldovan wrote:

> On 15.01.2015 04:10 PM, Horst Schirmeier wrote:
>>  debian/wrappers/x2goagent | 12 ++++++++++--
>>  1 file changed, 10 insertions(+), 2 deletions(-)
>>
>> diff --git a/debian/wrappers/x2goagent b/debian/wrappers/x2goagent
>> index 129c7ca..750c651 100644
>> --- a/debian/wrappers/x2goagent
>> +++ b/debian/wrappers/x2goagent
>> @@ -29,7 +29,15 @@ test -x $NX_LIBS/../x2go/bin/$NXAPP && export  
>> NX_LIBS=$NX_LIBS
>>
>>  export LD_LIBRARY_PATH
>>
>> -NXAGENT_KEYSTROKEFILE=/etc/x2go/keystrokes.cfg
>> -export NXAGENT_KEYSTROKEFILE
>> +for CONFIG in ~/.x2go/config/keystrokes.cfg ~/.nx/config/keystrokes.cfg \
>> +              /etc/x2go/keystrokes.cfg /etc/nxagent/keystrokes.cfg

Thanks for your patch, Horst.

> Do we actually WANT to make ~/.nx/foo override /etc/x2go/foo *for

First: We want to allow users to override system-wide settings by user  
settings.

> x2goagent*? Or do we rather want to get rid of ~/.nx and /etc/nxagent
> entirely within x2go components (which, really, would make some sort of
> sense, especially if $SOMETHING created ~/.nx/config/keystrokes.cfg and
> users wonder why /etc/x2go/keystrokes.cfg does not take any effect.)

This indeed is a bit of a drama, I agree.

1. We want to provide NX-X11 to people who still use NX (e.g. FreeNX).

To provide this, we have to think generically here. Paths like ~/.nx  
or /etc/nxagent/ are hard-coded in NX-X11 and nxagent and I think that  
is ok. All X2Go'ish paths should be overridden via env vars or  
otherwise.

In nxagent, there is some code that checks ARGV[0] (== nxagent? ==  
x2goagent?) and triggers the branding of start-up screens of desktop  
sessions (the gray X2GO logo).

Maybe for setting paths (esp. ~/.x2go/keystrokes.cfg), some similar  
mechanism should be used?

> Actually, I see another problem there. Wouldn't it be smarter to
> consider both ~/.x2go/foo and /etc/x2go/keystrokes.cfg (if existent),
> with values in ~/.x2go/foo overriding those of the global configuration
> file? A priority-based merge would really be the thing we're looking
> for. I've got something like that lying around.

It would be smarter, indeed. But one step at a time.

Let's get this issue solved first cleanly (it obviously is a namespace  
issue for NX configuration files). Once that is sorted out, you should  
bring your merging code into the game. I'd suggest you file it as a  
wishlist bug + patch (or without patch) for now...

> It's not exactly small, though. And would benefit from being shared
> code, as it could (and also would) be used in both x2goagent and x2goserver.

Ok.... So we would bring another dependency into the game that no  
already existing library or whatsoever could already cover in  
functionality? (Mike is scared of to many upstream projects having to  
be maintained inside X2Go).

Mike



-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 744-submit@bugs.x2go.org. (Thu, 15 Jan 2015 23:00:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#744; Package x2goagent. (Fri, 16 Jan 2015 14:15:01 GMT) (full text, mbox, link).


Acknowledgement sent to Horst Schirmeier <horst@schirmeier.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 16 Jan 2015 14:15:01 GMT) (full text, mbox, link).


Message #27 received at 744@bugs.x2go.org (full text, mbox, reply):

From: Horst Schirmeier <horst@schirmeier.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: Mihai Moldovan <ionic@ionic.de>, 744@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#744: user-local keystrokes.cfg does not work
Date: Fri, 16 Jan 2015 15:11:05 +0100
[Message part 1 (text/plain, inline)]
On Thu, 15 Jan 2015, Mike Gabriel wrote:
> >Do we actually WANT to make ~/.nx/foo override /etc/x2go/foo *for
> 
> First: We want to allow users to override system-wide settings by
> user settings.
> 
> >x2goagent*? Or do we rather want to get rid of ~/.nx and /etc/nxagent
> >entirely within x2go components (which, really, would make some sort of
> >sense, especially if $SOMETHING created ~/.nx/config/keystrokes.cfg and
> >users wonder why /etc/x2go/keystrokes.cfg does not take any effect.)
> 
> This indeed is a bit of a drama, I agree.
> 
> 1. We want to provide NX-X11 to people who still use NX (e.g. FreeNX).
> 
> To provide this, we have to think generically here. Paths like ~/.nx
> or /etc/nxagent/ are hard-coded in NX-X11 and nxagent and I think
> that is ok. All X2Go'ish paths should be overridden via env vars or
> otherwise.
> 
> In nxagent, there is some code that checks ARGV[0] (== nxagent? ==
> x2goagent?) and triggers the branding of start-up screens of desktop
> sessions (the gray X2GO logo).
> 
> Maybe for setting paths (esp. ~/.x2go/keystrokes.cfg), some similar
> mechanism should be used?

How about this variant?

patch for x2go-specific keystroke configuration files, enable user-local
keystrokes.cfg
---
 ...agent_x2go-specific-keystroke-config.full.patch | 22 ++++++++++++++++++++++
 debian/patches/series                              |  1 +
 debian/wrappers/x2goagent                          |  3 ---
 3 files changed, 23 insertions(+), 3 deletions(-)
 create mode 100644 debian/patches/321_nxagent_x2go-specific-keystroke-config.full.patch

diff --git a/debian/patches/321_nxagent_x2go-specific-keystroke-config.full.patch b/debian/patches/321_nxagent_x2go-specific-keystroke-config.full.patch
new file mode 100644
index 0000000..8ab4f93
--- /dev/null
+++ b/debian/patches/321_nxagent_x2go-specific-keystroke-config.full.patch
@@ -0,0 +1,22 @@
+--- a/nx-X11/programs/Xserver/hw/nxagent/Keystroke.c
++++ b/nx-X11/programs/Xserver/hw/nxagent/Keystroke.c
+@@ -27,6 +27,7 @@
+ #include "Options.h"
+ #include "Keystroke.h"
+ #include "Drawable.h"
++#include "Init.h" /* extern int nxagentX2go */
+ 
+ #include <unistd.h>
+ 
+@@ -261,6 +262,11 @@ static void parse_keystroke_file(void)
+   char *homefile = "/.nx/config/keystrokes.cfg";
+   char *etcfile = "/etc/nxagent/keystrokes.cfg";
+ 
++  if (nxagentX2go) {
++    homefile = "/.x2go/config/keystrokes.cfg";
++    etcfile = "/etc/x2go/keystrokes.cfg";
++  }
++
+   if (nxagentKeystrokeFile != NULL && access(nxagentKeystrokeFile, R_OK) == 0)
+   {
+     filename = strdup(nxagentKeystrokeFile);
diff --git a/debian/patches/series b/debian/patches/series
index 98d3e5e..c65f645 100644
--- a/debian/patches/series
+++ b/debian/patches/series
@@ -61,6 +61,7 @@
 301_nx-X11_use-shared-libs.full.patch
 302_nx-X11_xkbbasedir-detection.full.patch
 320_nxagent_configurable-keystrokes.full.patch
+321_nxagent_x2go-specific-keystroke-config.full.patch
 400_nxcomp-version.full+lite.patch
 #401_nxcomp_bigrequests-and-genericevent-extensions.full+lite.patch
 600_nx-X11+nxcompext+nxcompshad_unique-libnames.full.patch
diff --git a/debian/wrappers/x2goagent b/debian/wrappers/x2goagent
index 129c7ca..ba07a3f 100644
--- a/debian/wrappers/x2goagent
+++ b/debian/wrappers/x2goagent
@@ -29,7 +29,4 @@ test -x $NX_LIBS/../x2go/bin/$NXAPP && export NX_LIBS=$NX_LIBS
 
 export LD_LIBRARY_PATH
 
-NXAGENT_KEYSTROKEFILE=/etc/x2go/keystrokes.cfg
-export NXAGENT_KEYSTROKEFILE
-
 exec $NX_LIBS/../x2go/bin/$NXAPP "$@"

-- 
PGP-Key 0xD40E0E7A
[signature.asc (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#744; Package x2goagent. (Fri, 16 Jan 2015 14:30:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 16 Jan 2015 14:30:01 GMT) (full text, mbox, link).


Message #32 received at 744@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, Horst Schirmeier <horst@schirmeier.com>
Cc: 744@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#744: user-local keystrokes.cfg does not work
Date: Fri, 16 Jan 2015 15:27:17 +0100
[Message part 1 (text/plain, inline)]
On 15.01.2015 11:56 PM, Mike Gabriel wrote:
> Thanks for your patch, Horst.

I totally forgot about that. Thanks.


>> Do we actually WANT to make ~/.nx/foo override /etc/x2go/foo *for
>
> First: We want to allow users to override system-wide settings by
> user settings.

Yes, my point was explicitly about ~/.nx vs. /etc/x2go. ~/.x2go
overriding /etc/x2go is naturally OK.


>> x2goagent*? Or do we rather want to get rid of ~/.nx and
>> /etc/nxagent entirely within x2go components (which, really, would
>> make some sort of sense, especially if $SOMETHING created
>> ~/.nx/config/keystrokes.cfg and users wonder why
>> /etc/x2go/keystrokes.cfg does not take any effect.)
>
> This indeed is a bit of a drama, I agree.
>
> 1. We want to provide NX-X11 to people who still use NX (e.g.
> FreeNX).
>
> To provide this, we have to think generically here. Paths like ~/.nx
> or /etc/nxagent/ are hard-coded in NX-X11 and nxagent and I think
> that is ok. All X2Go'ish paths should be overridden via env vars or
> otherwise.

And that's fine. nxagent (itself) should rely on ~/.nx and /etc/nxagent.

I'm just saying that for x2goagent, it would be smarter to ignore ~/.nx
and /etc/nxagent, thus only taking ~/.x2go and /etc/x2go into consideration.


> In nxagent, there is some code that checks ARGV[0] (== nxagent? ==
> x2goagent?) and triggers the branding of start-up screens of desktop
> sessions (the gray X2GO logo).

Well, if we have that anyway, we can expand on that. Horst's new patch
sounds great by making use of exactly that.


> Maybe for setting paths (esp. ~/.x2go/keystrokes.cfg), some similar
> mechanism should be used?

Wait... there's ~/.x2go/config/keystrokes.cfg and
~/.x2go/keystrokes.cfg? What's the difference between those?


>> Actually, I see another problem there. Wouldn't it be smarter to
>> consider both ~/.x2go/foo and /etc/x2go/keystrokes.cfg (if
>> existent), with values in ~/.x2go/foo overriding those of the
>> global configuration file? A priority-based merge would really be
>> the thing we're looking for. I've got something like that lying
>> around.
>
> It would be smarter, indeed. But one step at a time.

On 15.01.2015 10:27 PM, Horst Schirmeier wrote:
> For example, IMHO it'd require introducing a way to completely
> remove/disable /etc/x2go/keystrokes.cfg definitions via directives in
> user-local files, instead of only overriding key definitions.

I'm not so sure anymore. As pointed out, merging means that you cannot
(easily) delete keys in the global config file. I didn't think of that one.



Mihai

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#744; Package x2goagent. (Fri, 16 Jan 2015 14:30:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 16 Jan 2015 14:30:02 GMT) (full text, mbox, link).


Message #37 received at 744@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: Horst Schirmeier <horst@schirmeier.com>, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 744@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#744: user-local keystrokes.cfg does not work
Date: Fri, 16 Jan 2015 15:29:04 +0100
[Message part 1 (text/plain, inline)]
On 16.01.2015 03:11 PM, Horst Schirmeier wrote:
> How about this variant?
>
> patch for x2go-specific keystroke configuration files, enable user-local
> keystrokes.cfg
> ---
>  ...agent_x2go-specific-keystroke-config.full.patch | 22 ++++++++++++++++++++++
>  debian/patches/series                              |  1 +
>  debian/wrappers/x2goagent                          |  3 ---
>  3 files changed, 23 insertions(+), 3 deletions(-)
>  create mode 100644 debian/patches/321_nxagent_x2go-specific-keystroke-config.full.patch
>
> diff --git a/debian/patches/321_nxagent_x2go-specific-keystroke-config.full.patch b/debian/patches/321_nxagent_x2go-specific-keystroke-config.full.patch
> new file mode 100644
> index 0000000..8ab4f93
> --- /dev/null
> +++ b/debian/patches/321_nxagent_x2go-specific-keystroke-config.full.patch
> @@ -0,0 +1,22 @@
> +--- a/nx-X11/programs/Xserver/hw/nxagent/Keystroke.c
> ++++ b/nx-X11/programs/Xserver/hw/nxagent/Keystroke.c
> +@@ -27,6 +27,7 @@
> + #include "Options.h"
> + #include "Keystroke.h"
> + #include "Drawable.h"
> ++#include "Init.h" /* extern int nxagentX2go */
> + 
> + #include <unistd.h>
> + 
> +@@ -261,6 +262,11 @@ static void parse_keystroke_file(void)
> +   char *homefile = "/.nx/config/keystrokes.cfg";
> +   char *etcfile = "/etc/nxagent/keystrokes.cfg";
> + 
> ++  if (nxagentX2go) {
> ++    homefile = "/.x2go/config/keystrokes.cfg";
> ++    etcfile = "/etc/x2go/keystrokes.cfg";
> ++  }
> ++
> +   if (nxagentKeystrokeFile != NULL && access(nxagentKeystrokeFile, R_OK) == 0)
> +   {
> +     filename = strdup(nxagentKeystrokeFile);
> diff --git a/debian/patches/series b/debian/patches/series
> index 98d3e5e..c65f645 100644
> --- a/debian/patches/series
> +++ b/debian/patches/series
> @@ -61,6 +61,7 @@
>  301_nx-X11_use-shared-libs.full.patch
>  302_nx-X11_xkbbasedir-detection.full.patch
>  320_nxagent_configurable-keystrokes.full.patch
> +321_nxagent_x2go-specific-keystroke-config.full.patch
>  400_nxcomp-version.full+lite.patch
>  #401_nxcomp_bigrequests-and-genericevent-extensions.full+lite.patch
>  600_nx-X11+nxcompext+nxcompshad_unique-libnames.full.patch
> diff --git a/debian/wrappers/x2goagent b/debian/wrappers/x2goagent
> index 129c7ca..ba07a3f 100644
> --- a/debian/wrappers/x2goagent
> +++ b/debian/wrappers/x2goagent
> @@ -29,7 +29,4 @@ test -x $NX_LIBS/../x2go/bin/$NXAPP && export NX_LIBS=$NX_LIBS
>  
>  export LD_LIBRARY_PATH
>  
> -NXAGENT_KEYSTROKEFILE=/etc/x2go/keystrokes.cfg
> -export NXAGENT_KEYSTROKEFILE
> -
>  exec $NX_LIBS/../x2go/bin/$NXAPP "$@"
>

LGTM. Thank you!



Mihai

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#744; Package x2goagent. (Fri, 16 Jan 2015 14:35:01 GMT) (full text, mbox, link).


Acknowledgement sent to Horst Schirmeier <horst@schirmeier.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 16 Jan 2015 14:35:02 GMT) (full text, mbox, link).


Message #42 received at 744@bugs.x2go.org (full text, mbox, reply):

From: Horst Schirmeier <horst@schirmeier.com>
To: Mihai Moldovan <ionic@ionic.de>
Cc: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 744@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#744: user-local keystrokes.cfg does not work
Date: Fri, 16 Jan 2015 15:32:45 +0100
[Message part 1 (text/plain, inline)]
On Fri, 16 Jan 2015, Mihai Moldovan wrote:
> > Maybe for setting paths (esp. ~/.x2go/keystrokes.cfg), some similar
> > mechanism should be used?
> 
> Wait... there's ~/.x2go/config/keystrokes.cfg and
> ~/.x2go/keystrokes.cfg? What's the difference between those?

Currently, there "is" neither.  That's why I filed the bug report in the
first place. ;-)  We still can decide what path it should be.  I favor
~/.x2go/config/keystrokes.cfg for being closest to the original
~/.nx/config/keystrokes.cfg.

Horst

-- 
PGP-Key 0xD40E0E7A
[signature.asc (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#744; Package x2goagent. (Mon, 19 Jan 2015 08:40:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 19 Jan 2015 08:40:02 GMT) (full text, mbox, link).


Message #47 received at 744@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Horst Schirmeier <horst@schirmeier.com>
Cc: Mihai Moldovan <ionic@ionic.de>, 744@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#744: user-local keystrokes.cfg does not work
Date: Mon, 19 Jan 2015 08:35:49 +0000
[Message part 1 (text/plain, inline)]
Control: tag -1 patch

Hi Horst,

On  Fr 16 Jan 2015 15:11:05 CET, Horst Schirmeier wrote:

> On Thu, 15 Jan 2015, Mike Gabriel wrote:
>> >Do we actually WANT to make ~/.nx/foo override /etc/x2go/foo *for
>>
>> First: We want to allow users to override system-wide settings by
>> user settings.
>>
>> >x2goagent*? Or do we rather want to get rid of ~/.nx and /etc/nxagent
>> >entirely within x2go components (which, really, would make some sort of
>> >sense, especially if $SOMETHING created ~/.nx/config/keystrokes.cfg and
>> >users wonder why /etc/x2go/keystrokes.cfg does not take any effect.)
>>
>> This indeed is a bit of a drama, I agree.
>>
>> 1. We want to provide NX-X11 to people who still use NX (e.g. FreeNX).
>>
>> To provide this, we have to think generically here. Paths like ~/.nx
>> or /etc/nxagent/ are hard-coded in NX-X11 and nxagent and I think
>> that is ok. All X2Go'ish paths should be overridden via env vars or
>> otherwise.
>>
>> In nxagent, there is some code that checks ARGV[0] (== nxagent? ==
>> x2goagent?) and triggers the branding of start-up screens of desktop
>> sessions (the gray X2GO logo).
>>
>> Maybe for setting paths (esp. ~/.x2go/keystrokes.cfg), some similar
>> mechanism should be used?
>
> How about this variant?
>
> patch for x2go-specific keystroke configuration files, enable user-local
> keystrokes.cfg
> ---
>  ...agent_x2go-specific-keystroke-config.full.patch | 22  
> ++++++++++++++++++++++
>  debian/patches/series                              |  1 +
>  debian/wrappers/x2goagent                          |  3 ---
>  3 files changed, 23 insertions(+), 3 deletions(-)
>  create mode 100644  
> debian/patches/321_nxagent_x2go-specific-keystroke-config.full.patch
>
> diff --git  
> a/debian/patches/321_nxagent_x2go-specific-keystroke-config.full.patch  
> b/debian/patches/321_nxagent_x2go-specific-keystroke-config.full.patch
> new file mode 100644
> index 0000000..8ab4f93
> --- /dev/null
> +++ b/debian/patches/321_nxagent_x2go-specific-keystroke-config.full.patch

> [...]

The patch looks ok. However, two things...

(1) can you re-send that patch as an attachment (not as an inline  
text)? (I have been struggling with extracting inline patches from  
mail bodies in the past with a lot of hassle on my side, so I am  
prophylactically asking without even having tried to apply your  
sent-in (inline-text) patch).

(2) I am tempted to merge that patch into patch 320. Would that be ok  
with you?

Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#744; Package x2goagent. (Mon, 19 Jan 2015 08:55:02 GMT) (full text, mbox, link).


Acknowledgement sent to Horst Schirmeier <horst@schirmeier.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 19 Jan 2015 08:55:02 GMT) (full text, mbox, link).


Message #52 received at 744@bugs.x2go.org (full text, mbox, reply):

From: Horst Schirmeier <horst@schirmeier.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: Mihai Moldovan <ionic@ionic.de>, 744@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#744: user-local keystrokes.cfg does not work
Date: Mon, 19 Jan 2015 09:51:15 +0100
[Message part 1 (text/plain, inline)]
Hi Mike,

On Mon, 19 Jan 2015, Mike Gabriel wrote:
> The patch looks ok. However, two things...
> 
> (1) can you re-send that patch as an attachment (not as an inline
> text)? (I have been struggling with extracting inline patches from
> mail bodies in the past with a lot of hassle on my side, so I am
> prophylactically asking without even having tried to apply your
> sent-in (inline-text) patch).

Sure.

> (2) I am tempted to merge that patch into patch 320. Would that be
> ok with you?

320 is generally useful for nxagent and could be merged into its
codebase one day.  Mine is x2go specific.  This objection aside, feel
free to merge the patches, sure! :)

Horst

-- 
PGP-Key 0xD40E0E7A
[0001-patch-for-x2go-specific-keystroke-configuration-file.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#744; Package x2goagent. (Mon, 19 Jan 2015 09:35:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 19 Jan 2015 09:35:02 GMT) (full text, mbox, link).


Message #57 received at 744@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 744-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 744@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as pending for release
Date: Mon, 19 Jan 2015 10:30:11 +0100 (CET)
tag #744 pending
fixed #744 2:3.5.0.29
thanks

Hello,

X2Go issue #744 (src:nx-libs) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=4e5a115

The issue will most likely be fixed in src:nx-libs (2:3.5.0.29).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 4e5a11596e5a0da9f3361ee0b3082c88c30ff486
Author: Horst Schirmeier <horst@schirmeier.com>
Date:   Mon Jan 19 10:28:59 2015 +0100

    Add 321_nxagent_x2go-specific-keystroke-config.full.patch. If nxagent is launched as x2goagent, use X2Go-specific paths for the keystrokes.cfg file. (Fixes: #744).

diff --git a/debian/changelog b/debian/changelog
index 52eed50..1176b12 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -14,6 +14,9 @@ nx-libs (2:3.5.0.29-0x2go1) UNRELEASED; urgency=medium
   * Update 320_nxagent_configurable-keystrokes.full.patch. Fix a typo that
     prevented the /etc/nxagent/keystrokes.cfg file from being parsed. (Fixes:
     #741).
+  * Add 321_nxagent_x2go-specific-keystroke-config.full.patch. If nxagent is
+    launched as x2goagent, use X2Go-specific paths for the keystrokes.cfg file.
+    (Fixes: #744).
 
   [ Mihai Moldovan ]
   * Change string "X2go" to "X2Go" where appropriate.


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 19 Jan 2015 09:35:02 GMT) (full text, mbox, link).


Marked as fixed in versions 2:3.5.0.29. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 19 Jan 2015 09:35:02 GMT) (full text, mbox, link).


Message sent on to Horst Schirmeier <horst@schirmeier.com>:
Bug#744. (Mon, 19 Jan 2015 09:35:03 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#744; Package x2goagent. (Mon, 19 Jan 2015 10:25:01 GMT) (full text, mbox, link).


Acknowledgement sent to Horst Schirmeier <horst@schirmeier.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 19 Jan 2015 10:25:02 GMT) (full text, mbox, link).


Message #69 received at 744@bugs.x2go.org (full text, mbox, reply):

From: Horst Schirmeier <horst@schirmeier.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 744@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#744: X2Go issue (in src:nx-libs) has been marked as pending for release
Date: Mon, 19 Jan 2015 11:22:32 +0100
[Message part 1 (text/plain, inline)]
Hi,

On Mon, 19 Jan 2015, Mike Gabriel wrote:
> X2Go issue #744 (src:nx-libs) reported by you has been
> fixed in X2Go Git. You can see the changelog below, and you can
> check the diff of the fix at:
> 
>     http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=4e5a115
> 
> The issue will most likely be fixed in src:nx-libs (2:3.5.0.29).

When 3.5.0.29 is released (when is this planned to happen?), we should
make sure the wiki documentation on keystrokes
<http://wiki.x2go.org/doku.php/wiki:advanced:nx-keyboard-shortcuts> gets
updated.

Horst

-- 
PGP-Key 0xD40E0E7A
[signature.asc (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#744; Package x2goagent. (Mon, 19 Jan 2015 10:40:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 19 Jan 2015 10:40:01 GMT) (full text, mbox, link).


Message #74 received at 744@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Horst Schirmeier <horst@schirmeier.com>
Cc: 744@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#744: X2Go issue (in src:nx-libs) has been marked as pending for release
Date: Mon, 19 Jan 2015 10:39:31 +0000
[Message part 1 (text/plain, inline)]
Control: clone -1 -2
Control: reassign -2 wiki.x2go.org
Control: retitle -2 Update keystrokes.cfg docs for nx-libs 3.5.0.29
Control: tag -2 - pending
Contro: tag -2 - patch

On  Mo 19 Jan 2015 11:22:32 CET, Horst Schirmeier wrote:

> Hi,
>
> On Mon, 19 Jan 2015, Mike Gabriel wrote:
>> X2Go issue #744 (src:nx-libs) reported by you has been
>> fixed in X2Go Git. You can see the changelog below, and you can
>> check the diff of the fix at:
>>
>>     http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=4e5a115
>>
>> The issue will most likely be fixed in src:nx-libs (2:3.5.0.29).
>
> When 3.5.0.29 is released (when is this planned to happen?), we should
> make sure the wiki documentation on keystrokes
> <http://wiki.x2go.org/doku.php/wiki:advanced:nx-keyboard-shortcuts> gets
> updated.
>
> Horst

/me nods...

Cloning this issue as a new bug for wiki.x2go.org pseudo-package.

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Bug 744 cloned as bug 750 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 744-submit@bugs.x2go.org. (Mon, 19 Jan 2015 10:40:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#744; Package x2goagent. (Fri, 13 Mar 2015 15:00:08 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 13 Mar 2015 15:00:08 GMT) (full text, mbox, link).


Message #81 received at 744@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager <git-admin@x2go.org>
To: 744-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 744@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as closed
Date: Fri, 13 Mar 2015 15:56:10 +0100 (CET)
close #744
thanks

Hello,

we are very hopeful that X2Go issue #744 reported by you
has been resolved in the new release (2:3.5.0.29) of the
X2Go source project »src:nx-libs«.

You can view the complete changelog entry of src:nx-libs (2:3.5.0.29)
below, and you can use the following link to view all the code changes
between this and the last release of src:nx-libs.

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=b3aadd99d26c25ed5f015b324d1677af122c2246;hp=c69789464eaf6db4775b636eabb7b315c9525924

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:nx-libs.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:nx-libs
Version: 2:3.5.0.29-0x2go2
Status: RELEASE
Date: Fri, 13 Mar 2015 15:50:00 +0100
Fixes: 741 744
Changes: 
 nx-libs (2:3.5.0.29-0x2go2) RELEASED; urgency=medium
 .
     [ Mike Gabriel ]
   * Update 0320_nxagent_configurable-keystrokes.full.patch. Fix patch header
     referring to keystrokes.cfg (plural), not keystroke.cfg.
   * Allow sysadmins to manipulate nxagent's / x2goagent's rgb file by placing
     it into /etc/nxagent or /etc/x2go.
   * Provide support for separate .keyboard files for nxagent/x2goagent.
   * Modify 0101_nxagent_set-rgb-path.full.patch. Allow configurable rgb files.
   * Extend 0999_nxagent_unbrand-nxagent-brand-x2goagent.full.patch. Let rgb
     file shipped with x2goagent supersede rgb file shipped with nxagent.
     FIXME: a better approach would be to decide at runtime if to use
     /etc/x2go/rgb or /etc/nxagent/rgb.
   * Extend 0999_nxagent_unbrand-nxagent-brand-x2goagent.full.patch. Allow
     separate .keyboard files for x2goagent and nxagent.
   * Update 0600_nx-X11+nxcompext+nxcompshad_unique-libnames.full.patch. Don't
     patch files that get removed during code reduction.
   * Add 0991_fix-hr-typos.full+lite.patch and 991_fix-hr-typos.full.patch.
     Fix several typos in upstream code detected by lintian.
   * Makefile.nx-libs: Don't allow symlinks to point into buildroot.
   * Makefile.nx-libs: Install man pages via main Makefile.
   * Add Description: and Author: fields to various patch headers.
   * Makefile.nx-libs: Run make install for nxproxy first, then create the
     wrapper script.
   * Make install-lite rule in Makefile.nx-libs more predictable and not
     rely on nxproxy/Makefile.in.
   * Makefile.nx-libs: Fix uninstall-lite rule. The nxproxy and nxcomp
     uninstallation has to be in uninstall-lite, not in uninstall-full.
   * Update 1042-Do-proper-input-validation-to-fix-for-CVE-2011-2895.patch.
     Fix broken comment paragraph, whitespace fix.
 .
   * NX code reduction efforts (from 93Mb to 41Mb):
     - Drop more unused code in nx-X11/programs/Xserver/hw/. Do this in
       roll-tarball.sh and in debian/rules alike.
     - Stop shipping unused / very old xterm code.
     - Drop nx-X11/programs/Xserver/hw/xfree86 except of four files symlinked
       to other locations in the source tree at build time.
     - More source tree size reduction by analyzing what exactly of the Mesa
       source code in nx-X11/extras/ is used and what not.
     - Drop more unused folders from tarball release / before .deb package build:
       .  nx-X11/programs/Xserver/miext/shadow/
       .  nx-X11/programs/Xserver/XpConfig/
       .  nx-X11/programs/Xserver/Xprint/
     - Makefile.nx-libs: Don't install Mesa header files into DESTDIR anymore.
     - Unify source tree reduction (debian/rules vs. roll-tarball.sh) via file/
       folder lists in text files named debian/CODE-REDUCTION_*.
     - Update 0991_fix-hr-typos.full.patch. Don't patch files that get removed by
       the NX code reduction effort.
     - Drop 0604_nx-X11_recent-freetype-API.full.patch. Not used in current build
       process.
     - Update 0600_nx-X11+nxcompext+nxcompshad_unique-libnames.full.patch. Don't
       patch files matter to the NX code reduction efforts.
     - Update 0031_nx-X11_parallel-make.full.patch. Don't patch .original files
       in NX code tree.
     - Drop patches: 0017_nx-X11_update-autotools-helper-files.full.patch,
       0018_nx-X11_update-libtool-ltmain-script.full.patch,
       0019_nx-X11_expat-build-against-system-libxmltok.full.patch. They patch
       files that are not used at build time.
 .
   * Patch system:
     - Prepend a "0" to every patch file name in debian/patches/. The patch
       order is now given by a 4 digit ID. Adapt only this changelog stanza to
       this modification.
 .
   * Debian/Ubuntu packaging:
     + Fully rework the way nx-libs gets packaged for Debian/Ubuntu.
     + Split up libnx-x11 into individual packages.
     + Provide dbg:packages for each bin:package containing binaries.
     + Use Makefile logic to install files into DESTDIR.
     + Provide dev:packages for each lib:package individually.
     + Provide nx-x11proto-*-dev packages for all libnx-* libraries.
     + Install _all_ library files (*.so*) to /usr/lib/<triplet>/, so
       no extra settings of LD_LIBRARY_PATH is necessary.
     + Add Multi-Arch support for Debian based distro versions that
       support Multi-Arch.
     + Support hardened builds for nxcomp* libraries.
     + Support hardened builds for nxagent and libNX_*.so files.
     + Add debian/*.symbols files for shared nx-X11 libraries.
     + Support .symbols for 64bit and 32bit alike.
     + Provide CDBS-generated debian/copyright.in file.
 .
   * debian/rules:
     + Backup nxcomp/VERSION file from NoMachine before replacing it with
       a symlink to debian/VERSION. Recreate the original file when cleaning
       up.
     + Fix removal of unused code (that part of the code that we know of so
       far). (The debian/rules file is a Makefile and Makefiles don't understand
       shell globbing with curly braces).
     + Correctly link config files (etc/rgb, etc/nxagent.keyboard,
       etc/x2goagent.keyboard) before dh_auto_build.
     + Add to B-D: expat.
     + Install upstream ChangeLogs into bin:packages.
     + Remove upstream nx-libs ChangeLog during override_dh_clean.
     + Use proper quoting on build flag vars (they may contain spaces).
 .
   * nx-libs.spec:
     + The gpg-offline bin:package is not available in our SLE repo. We can do
       without.
     + Update .spec file to meet changes in tarball size reduction and
       restructuring.
     + Use SONAME based library package naming scheme.
     + Mention NX technology in every package description.
     + Install man pages into bin:packages.
     + Make libNX_X11-6 and libXinerama1 compliant to Shared Library Policy.
     + Add Obsoletes: fields to all shared libs for marking the non-versioned
       library package (names) as obsolete.
     + Don't depend on nx-libs base package with fixed version.
     + Don't fail if removing *.a files fails due to the files being non-present.
     + Set PREFIX=%{_prefix} USRLIBDIR=%{_libdir} SHLIBDIR=%{_libdir} at build
       time.
     + Assure that BuildRoot: is set.
     + On SLE 11.x: libX* packages are prefixed with "xorg-x11-".
     + Install "%{_libdir}/nx/bin" into nxproxy package.
 .
   * debian/roll-tarball.sh:
     + Install etc/ files into etc/ subfolder (rgb, nxagent.keyboard,
       x2goagent.keyboard).
 .
   [ Horst Schirmeier ]
   * Update 0320_nxagent_configurable-keystrokes.full.patch. Fix a typo that
     prevented the /etc/nxagent/keystrokes.cfg file from being parsed. (Fixes:
     #741).
   * Add 0321_nxagent_x2go-specific-keystroke-config.full.patch. If nxagent is
     launched as x2goagent, use X2Go-specific paths for the keystrokes.cfg file.
     (Fixes: #744).
 .
   [ Michael DePaulo ]
   * Security Fixes:
     - Rebase loads of X.Org patches (mainly from RHEL-5) against NX. If not
       all patches from a CVE patch series appear here, then it means that
       the affected file/code is not used in NX at build time.
 .
     - X.Org CVE-2011-2895:
         1001-LZW-decompress-fix-for-CVE-2011-2895-From-xorg-lib-X.patch
     - X.Org CVE-2011-4028:
         1002-Fix-CVE-2011-4028-File-disclosure-vulnerability.-ups.patch
     - X.Org CVE-2013-4396:
         1003-Avoid-use-after-free-in-dix-dixfonts.c-doImageText-C.patch
     - X.Org CVE-2013-6462:
         1004-CVE-2013-6462-unlimited-sscanf-overflows-stack-buffe.patch
     - X.Org CVE-2014-0209:
         1005-CVE-2014-0209-integer-overflow-of-realloc-size-in-Fo.patch
         1006-CVE-2014-0209-integer-overflow-of-realloc-size-in-le.patch
     - X.Org CVE-2014-0210:
         1007-CVE-2014-0210-unvalidated-length-in-_fs_recv_conn_se.patch
         1009-CVE-2014-0210-unvalidated-lengths-when-reading-repli.patch
         1011-CVE-2014-0210-unvalidated-length-fields-in-fs_read_q.patch
         1014-CVE-2014-0210-unvalidated-length-fields-in-fs_read_e.patch
         1015-CVE-2014-0210-unvalidated-length-fields-in-fs_read_g.patch
         1016-CVE-2014-0210-unvalidated-length-fields-in-fs_read_l.patch
         1017-CVE-2014-0210-unvalidated-length-fields-in-fs_read_l.patch
     - X.Org CVE-2014-0211:
         1010-CVE-2014-0211-Integer-overflow-in-fs_get_reply-_fs_s.patch
         1012-CVE-2014-0211-integer-overflow-in-fs_read_extent_inf.patch
         1013-CVE-2014-0211-integer-overflow-in-fs_alloc_glyphs-fr.patch
         1018-unchecked-malloc-may-allow-unauthed-client-to-crash-.patch
     - X.Org CVE-2014-8092:
         1019-dix-integer-overflow-in-ProcPutImage-CVE-2014-8092-1.patch
         1020-dix-integer-overflow-in-GetHosts-CVE-2014-8092-2-4.patch
         1021-dix-integer-overflow-in-RegionSizeof-CVE-2014-8092-3.patch
         1022-dix-integer-overflow-in-REQUEST_FIXED_SIZE-CVE-2014-.patch
     - X.Org CVE-2014-8097:
         1023-dbe-unvalidated-lengths-in-DbeSwapBuffers-calls-CVE-.patch
     - X.Org CVE-2014-8095:
         1024-Xi-unvalidated-lengths-in-Xinput-extension-CVE-2014-.patch
     - X.Org CVE-2014-8096:
         1025-xcmisc-unvalidated-length-in-SProcXCMiscGetXIDList-C.patch
     - X.Org CVE-2014-8099:
         1026-Xv-unvalidated-lengths-in-XVideo-extension-swapped-p.patch
     - X.Org CVE-2014-8100:
         1027-render-check-request-size-before-reading-it-CVE-2014.patch
         1028-render-unvalidated-lengths-in-Render-extn.-swapped-p.patch
     - X.Org CVE-2014-8102:
         1029-xfixes-unvalidated-length-in-SProcXFixesSelectSelect.patch
     - X.Org CVE-2014-8101:
         1030-randr-unvalidated-lengths-in-RandR-extension-swapped.patch
     - X.Org CVE-2014-8093:
         1031-glx-Be-more-paranoid-about-variable-length-requests-.patch
         1032-glx-Be-more-strict-about-rejecting-invalid-image-siz.patch
         1033-glx-Additional-paranoia-in-__glXGetAnswerBuffer-__GL.patch
         1034-glx-Add-safe_-add-mul-pad-v3-CVE-2014-8093-4-6-v4.patch
         1036-glx-Integer-overflow-protection-for-non-generated-re.patch
     - X.Org CVE-2014-8098:
         1035-glx-Length-checking-for-GLXRender-requests-v2-CVE-20.patch
         1037-glx-Top-level-length-checking-for-swapped-VendorPriv.patch
         1038-glx-Length-checking-for-non-generated-single-request.patch
         1039-glx-Length-checking-for-RenderLarge-requests-v2-CVE-.patch
         1040-glx-Pass-remaining-request-length-into-varsize-v2-CV.patch
     - X.org CVE-2015-0255
         1104-xkb-Check-strings-length-against-request-size.patch
 .
     - Security fixes with no assigned CVE:
         1008-Don-t-crash-when-we-receive-an-FS_Error-from-the-fon.patch
 .
     - Rebase the following patches that are prerequisites for the
       CVE-2015-0255 patch:
         1101-Coverity-844-845-846-Fix-memory-leaks.patch
         1102-include-introduce-byte-counting-functions.patch
         1103-xkb-Don-t-swap-XkbSetGeometry-data-in-the-input-buff.patch
 .
     - Fix FTBFS due to the nxproxy executable already existing under
       /usr/lib/nx/bin/nx/
 .
   [ Mihai Moldovan ]
   * Change string "X2go" to "X2Go" where appropriate.
   * CVE security review:
     - Update 1007-CVE-2014-0210-unvalidated-length-in-_fs_recv_conn_se.patch.
       Use xfree() instead of free() in nx-libs.
     - Update 1011-CVE-2014-0210-unvalidated-length-fields-in-fs_read_q.patch.
       Apply correctly on nx-libs 3.6.x.
     - Update 1020-dix-integer-overflow-in-GetHosts-CVE-2014-8092-2-4.patch.
       Human-readable version of "1 MB".
     - Add 1041-nx-X11-lib-font-fc-fserve.c-initialize-remaining-buf.patch.
       Initialize remaining bufleft variables (nx-X11/lib/font/fc/fserve.c).
     - Add 1042-Do-proper-input-validation-to-fix-for-CVE-2011-2895.patch.
       Do proper input validation to fix for CVE-2011-2895.


Marked Bug as done Request was from X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Fri, 13 Mar 2015 15:00:16 GMT) (full text, mbox, link).


Notification sent to Horst Schirmeier <horst@schirmeier.com>:
Bug acknowledged by developer. (Fri, 13 Mar 2015 15:00:16 GMT) (full text, mbox, link).


Message sent on to Horst Schirmeier <horst@schirmeier.com>:
Bug#744. (Fri, 13 Mar 2015 15:00:26 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#744; Package x2goagent. (Fri, 13 Mar 2015 15:05:10 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 13 Mar 2015 15:05:11 GMT) (full text, mbox, link).


Message #93 received at 744@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager <git-admin@x2go.org>
To: 744-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 744@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as closed
Date: Fri, 13 Mar 2015 16:02:38 +0100 (CET)
close #744
thanks

Hello,

we are very hopeful that X2Go issue #744 reported by you
has been resolved in the new release (2:3.5.0.29) of the
X2Go source project »src:nx-libs«.

You can view the complete changelog entry of src:nx-libs (2:3.5.0.29)
below, and you can use the following link to view all the code changes
between this and the last release of src:nx-libs.

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=b3aadd99d26c25ed5f015b324d1677af122c2246;hp=c69789464eaf6db4775b636eabb7b315c9525924

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:nx-libs.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:nx-libs
Version: 2:3.5.0.29-0x2go2
Status: RELEASE
Date: Fri, 13 Mar 2015 15:50:00 +0100
Fixes: 741 744
Changes: 
 nx-libs (2:3.5.0.29-0x2go2) RELEASED; urgency=medium
 .
     [ Mike Gabriel ]
   * Update 0320_nxagent_configurable-keystrokes.full.patch. Fix patch header
     referring to keystrokes.cfg (plural), not keystroke.cfg.
   * Allow sysadmins to manipulate nxagent's / x2goagent's rgb file by placing
     it into /etc/nxagent or /etc/x2go.
   * Provide support for separate .keyboard files for nxagent/x2goagent.
   * Modify 0101_nxagent_set-rgb-path.full.patch. Allow configurable rgb files.
   * Extend 0999_nxagent_unbrand-nxagent-brand-x2goagent.full.patch. Let rgb
     file shipped with x2goagent supersede rgb file shipped with nxagent.
     FIXME: a better approach would be to decide at runtime if to use
     /etc/x2go/rgb or /etc/nxagent/rgb.
   * Extend 0999_nxagent_unbrand-nxagent-brand-x2goagent.full.patch. Allow
     separate .keyboard files for x2goagent and nxagent.
   * Update 0600_nx-X11+nxcompext+nxcompshad_unique-libnames.full.patch. Don't
     patch files that get removed during code reduction.
   * Add 0991_fix-hr-typos.full+lite.patch and 991_fix-hr-typos.full.patch.
     Fix several typos in upstream code detected by lintian.
   * Makefile.nx-libs: Don't allow symlinks to point into buildroot.
   * Makefile.nx-libs: Install man pages via main Makefile.
   * Add Description: and Author: fields to various patch headers.
   * Makefile.nx-libs: Run make install for nxproxy first, then create the
     wrapper script.
   * Make install-lite rule in Makefile.nx-libs more predictable and not
     rely on nxproxy/Makefile.in.
   * Makefile.nx-libs: Fix uninstall-lite rule. The nxproxy and nxcomp
     uninstallation has to be in uninstall-lite, not in uninstall-full.
   * Update 1042-Do-proper-input-validation-to-fix-for-CVE-2011-2895.patch.
     Fix broken comment paragraph, whitespace fix.
 .
   * NX code reduction efforts (from 93Mb to 41Mb):
     - Drop more unused code in nx-X11/programs/Xserver/hw/. Do this in
       roll-tarball.sh and in debian/rules alike.
     - Stop shipping unused / very old xterm code.
     - Drop nx-X11/programs/Xserver/hw/xfree86 except of four files symlinked
       to other locations in the source tree at build time.
     - More source tree size reduction by analyzing what exactly of the Mesa
       source code in nx-X11/extras/ is used and what not.
     - Drop more unused folders from tarball release / before .deb package build:
       .  nx-X11/programs/Xserver/miext/shadow/
       .  nx-X11/programs/Xserver/XpConfig/
       .  nx-X11/programs/Xserver/Xprint/
     - Makefile.nx-libs: Don't install Mesa header files into DESTDIR anymore.
     - Unify source tree reduction (debian/rules vs. roll-tarball.sh) via file/
       folder lists in text files named debian/CODE-REDUCTION_*.
     - Update 0991_fix-hr-typos.full.patch. Don't patch files that get removed by
       the NX code reduction effort.
     - Drop 0604_nx-X11_recent-freetype-API.full.patch. Not used in current build
       process.
     - Update 0600_nx-X11+nxcompext+nxcompshad_unique-libnames.full.patch. Don't
       patch files matter to the NX code reduction efforts.
     - Update 0031_nx-X11_parallel-make.full.patch. Don't patch .original files
       in NX code tree.
     - Drop patches: 0017_nx-X11_update-autotools-helper-files.full.patch,
       0018_nx-X11_update-libtool-ltmain-script.full.patch,
       0019_nx-X11_expat-build-against-system-libxmltok.full.patch. They patch
       files that are not used at build time.
 .
   * Patch system:
     - Prepend a "0" to every patch file name in debian/patches/. The patch
       order is now given by a 4 digit ID. Adapt only this changelog stanza to
       this modification.
 .
   * Debian/Ubuntu packaging:
     + Fully rework the way nx-libs gets packaged for Debian/Ubuntu.
     + Split up libnx-x11 into individual packages.
     + Provide dbg:packages for each bin:package containing binaries.
     + Use Makefile logic to install files into DESTDIR.
     + Provide dev:packages for each lib:package individually.
     + Provide nx-x11proto-*-dev packages for all libnx-* libraries.
     + Install _all_ library files (*.so*) to /usr/lib/<triplet>/, so
       no extra settings of LD_LIBRARY_PATH is necessary.
     + Add Multi-Arch support for Debian based distro versions that
       support Multi-Arch.
     + Support hardened builds for nxcomp* libraries.
     + Support hardened builds for nxagent and libNX_*.so files.
     + Add debian/*.symbols files for shared nx-X11 libraries.
     + Support .symbols for 64bit and 32bit alike.
     + Provide CDBS-generated debian/copyright.in file.
 .
   * debian/rules:
     + Backup nxcomp/VERSION file from NoMachine before replacing it with
       a symlink to debian/VERSION. Recreate the original file when cleaning
       up.
     + Fix removal of unused code (that part of the code that we know of so
       far). (The debian/rules file is a Makefile and Makefiles don't understand
       shell globbing with curly braces).
     + Correctly link config files (etc/rgb, etc/nxagent.keyboard,
       etc/x2goagent.keyboard) before dh_auto_build.
     + Add to B-D: expat.
     + Install upstream ChangeLogs into bin:packages.
     + Remove upstream nx-libs ChangeLog during override_dh_clean.
     + Use proper quoting on build flag vars (they may contain spaces).
 .
   * nx-libs.spec:
     + The gpg-offline bin:package is not available in our SLE repo. We can do
       without.
     + Update .spec file to meet changes in tarball size reduction and
       restructuring.
     + Use SONAME based library package naming scheme.
     + Mention NX technology in every package description.
     + Install man pages into bin:packages.
     + Make libNX_X11-6 and libXinerama1 compliant to Shared Library Policy.
     + Add Obsoletes: fields to all shared libs for marking the non-versioned
       library package (names) as obsolete.
     + Don't depend on nx-libs base package with fixed version.
     + Don't fail if removing *.a files fails due to the files being non-present.
     + Set PREFIX=%{_prefix} USRLIBDIR=%{_libdir} SHLIBDIR=%{_libdir} at build
       time.
     + Assure that BuildRoot: is set.
     + On SLE 11.x: libX* packages are prefixed with "xorg-x11-".
     + Install "%{_libdir}/nx/bin" into nxproxy package.
 .
   * debian/roll-tarball.sh:
     + Install etc/ files into etc/ subfolder (rgb, nxagent.keyboard,
       x2goagent.keyboard).
 .
   [ Horst Schirmeier ]
   * Update 0320_nxagent_configurable-keystrokes.full.patch. Fix a typo that
     prevented the /etc/nxagent/keystrokes.cfg file from being parsed. (Fixes:
     #741).
   * Add 0321_nxagent_x2go-specific-keystroke-config.full.patch. If nxagent is
     launched as x2goagent, use X2Go-specific paths for the keystrokes.cfg file.
     (Fixes: #744).
 .
   [ Michael DePaulo ]
   * Security Fixes:
     - Rebase loads of X.Org patches (mainly from RHEL-5) against NX. If not
       all patches from a CVE patch series appear here, then it means that
       the affected file/code is not used in NX at build time.
 .
     - X.Org CVE-2011-2895:
         1001-LZW-decompress-fix-for-CVE-2011-2895-From-xorg-lib-X.patch
     - X.Org CVE-2011-4028:
         1002-Fix-CVE-2011-4028-File-disclosure-vulnerability.-ups.patch
     - X.Org CVE-2013-4396:
         1003-Avoid-use-after-free-in-dix-dixfonts.c-doImageText-C.patch
     - X.Org CVE-2013-6462:
         1004-CVE-2013-6462-unlimited-sscanf-overflows-stack-buffe.patch
     - X.Org CVE-2014-0209:
         1005-CVE-2014-0209-integer-overflow-of-realloc-size-in-Fo.patch
         1006-CVE-2014-0209-integer-overflow-of-realloc-size-in-le.patch
     - X.Org CVE-2014-0210:
         1007-CVE-2014-0210-unvalidated-length-in-_fs_recv_conn_se.patch
         1009-CVE-2014-0210-unvalidated-lengths-when-reading-repli.patch
         1011-CVE-2014-0210-unvalidated-length-fields-in-fs_read_q.patch
         1014-CVE-2014-0210-unvalidated-length-fields-in-fs_read_e.patch
         1015-CVE-2014-0210-unvalidated-length-fields-in-fs_read_g.patch
         1016-CVE-2014-0210-unvalidated-length-fields-in-fs_read_l.patch
         1017-CVE-2014-0210-unvalidated-length-fields-in-fs_read_l.patch
     - X.Org CVE-2014-0211:
         1010-CVE-2014-0211-Integer-overflow-in-fs_get_reply-_fs_s.patch
         1012-CVE-2014-0211-integer-overflow-in-fs_read_extent_inf.patch
         1013-CVE-2014-0211-integer-overflow-in-fs_alloc_glyphs-fr.patch
         1018-unchecked-malloc-may-allow-unauthed-client-to-crash-.patch
     - X.Org CVE-2014-8092:
         1019-dix-integer-overflow-in-ProcPutImage-CVE-2014-8092-1.patch
         1020-dix-integer-overflow-in-GetHosts-CVE-2014-8092-2-4.patch
         1021-dix-integer-overflow-in-RegionSizeof-CVE-2014-8092-3.patch
         1022-dix-integer-overflow-in-REQUEST_FIXED_SIZE-CVE-2014-.patch
     - X.Org CVE-2014-8097:
         1023-dbe-unvalidated-lengths-in-DbeSwapBuffers-calls-CVE-.patch
     - X.Org CVE-2014-8095:
         1024-Xi-unvalidated-lengths-in-Xinput-extension-CVE-2014-.patch
     - X.Org CVE-2014-8096:
         1025-xcmisc-unvalidated-length-in-SProcXCMiscGetXIDList-C.patch
     - X.Org CVE-2014-8099:
         1026-Xv-unvalidated-lengths-in-XVideo-extension-swapped-p.patch
     - X.Org CVE-2014-8100:
         1027-render-check-request-size-before-reading-it-CVE-2014.patch
         1028-render-unvalidated-lengths-in-Render-extn.-swapped-p.patch
     - X.Org CVE-2014-8102:
         1029-xfixes-unvalidated-length-in-SProcXFixesSelectSelect.patch
     - X.Org CVE-2014-8101:
         1030-randr-unvalidated-lengths-in-RandR-extension-swapped.patch
     - X.Org CVE-2014-8093:
         1031-glx-Be-more-paranoid-about-variable-length-requests-.patch
         1032-glx-Be-more-strict-about-rejecting-invalid-image-siz.patch
         1033-glx-Additional-paranoia-in-__glXGetAnswerBuffer-__GL.patch
         1034-glx-Add-safe_-add-mul-pad-v3-CVE-2014-8093-4-6-v4.patch
         1036-glx-Integer-overflow-protection-for-non-generated-re.patch
     - X.Org CVE-2014-8098:
         1035-glx-Length-checking-for-GLXRender-requests-v2-CVE-20.patch
         1037-glx-Top-level-length-checking-for-swapped-VendorPriv.patch
         1038-glx-Length-checking-for-non-generated-single-request.patch
         1039-glx-Length-checking-for-RenderLarge-requests-v2-CVE-.patch
         1040-glx-Pass-remaining-request-length-into-varsize-v2-CV.patch
     - X.org CVE-2015-0255
         1104-xkb-Check-strings-length-against-request-size.patch
 .
     - Security fixes with no assigned CVE:
         1008-Don-t-crash-when-we-receive-an-FS_Error-from-the-fon.patch
 .
     - Rebase the following patches that are prerequisites for the
       CVE-2015-0255 patch:
         1101-Coverity-844-845-846-Fix-memory-leaks.patch
         1102-include-introduce-byte-counting-functions.patch
         1103-xkb-Don-t-swap-XkbSetGeometry-data-in-the-input-buff.patch
 .
     - Fix FTBFS due to the nxproxy executable already existing under
       /usr/lib/nx/bin/nx/
 .
   [ Mihai Moldovan ]
   * Change string "X2go" to "X2Go" where appropriate.
   * CVE security review:
     - Update 1007-CVE-2014-0210-unvalidated-length-in-_fs_recv_conn_se.patch.
       Use xfree() instead of free() in nx-libs.
     - Update 1011-CVE-2014-0210-unvalidated-length-fields-in-fs_read_q.patch.
       Apply correctly on nx-libs 3.6.x.
     - Update 1020-dix-integer-overflow-in-GetHosts-CVE-2014-8092-2-4.patch.
       Human-readable version of "1 MB".
     - Add 1041-nx-X11-lib-font-fc-fserve.c-initialize-remaining-buf.patch.
       Initialize remaining bufleft variables (nx-X11/lib/font/fc/fserve.c).
     - Add 1042-Do-proper-input-validation-to-fix-for-CVE-2011-2895.patch.
       Do proper input validation to fix for CVE-2011-2895.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#744; Package x2goagent. (Fri, 13 Mar 2015 15:05:11 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 13 Mar 2015 15:05:12 GMT) (full text, mbox, link).


Message #98 received at 744@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager <git-admin@x2go.org>
To: 744-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 744@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as closed
Date: Fri, 13 Mar 2015 16:02:53 +0100 (CET)
close #744
thanks

Hello,

we are very hopeful that X2Go issue #744 reported by you
has been resolved in the new release (2:3.5.0.29) of the
X2Go source project »src:nx-libs«.

You can view the complete changelog entry of src:nx-libs (2:3.5.0.29)
below, and you can use the following link to view all the code changes
between this and the last release of src:nx-libs.

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=0db9c76dde03552579ef46385f80fc7076b80a36;hp=c69789464eaf6db4775b636eabb7b315c9525924

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:nx-libs.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:nx-libs
Version: 2:3.5.0.29-0x2go2
Status: RELEASE
Date: Fri, 13 Mar 2015 15:50:00 +0100
Fixes: 741 744
Changes: 
 nx-libs (2:3.5.0.29-0x2go2) RELEASED; urgency=medium
 .
     [ Mike Gabriel ]
   * Update 0320_nxagent_configurable-keystrokes.full.patch. Fix patch header
     referring to keystrokes.cfg (plural), not keystroke.cfg.
   * Allow sysadmins to manipulate nxagent's / x2goagent's rgb file by placing
     it into /etc/nxagent or /etc/x2go.
   * Provide support for separate .keyboard files for nxagent/x2goagent.
   * Modify 0101_nxagent_set-rgb-path.full.patch. Allow configurable rgb files.
   * Extend 0999_nxagent_unbrand-nxagent-brand-x2goagent.full.patch. Let rgb
     file shipped with x2goagent supersede rgb file shipped with nxagent.
     FIXME: a better approach would be to decide at runtime if to use
     /etc/x2go/rgb or /etc/nxagent/rgb.
   * Extend 0999_nxagent_unbrand-nxagent-brand-x2goagent.full.patch. Allow
     separate .keyboard files for x2goagent and nxagent.
   * Update 0600_nx-X11+nxcompext+nxcompshad_unique-libnames.full.patch. Don't
     patch files that get removed during code reduction.
   * Add 0991_fix-hr-typos.full+lite.patch and 991_fix-hr-typos.full.patch.
     Fix several typos in upstream code detected by lintian.
   * Makefile.nx-libs: Don't allow symlinks to point into buildroot.
   * Makefile.nx-libs: Install man pages via main Makefile.
   * Add Description: and Author: fields to various patch headers.
   * Makefile.nx-libs: Run make install for nxproxy first, then create the
     wrapper script.
   * Make install-lite rule in Makefile.nx-libs more predictable and not
     rely on nxproxy/Makefile.in.
   * Makefile.nx-libs: Fix uninstall-lite rule. The nxproxy and nxcomp
     uninstallation has to be in uninstall-lite, not in uninstall-full.
   * Update 1042-Do-proper-input-validation-to-fix-for-CVE-2011-2895.patch.
     Fix broken comment paragraph, whitespace fix.
 .
   * NX code reduction efforts (from 93Mb to 41Mb):
     - Drop more unused code in nx-X11/programs/Xserver/hw/. Do this in
       roll-tarball.sh and in debian/rules alike.
     - Stop shipping unused / very old xterm code.
     - Drop nx-X11/programs/Xserver/hw/xfree86 except of four files symlinked
       to other locations in the source tree at build time.
     - More source tree size reduction by analyzing what exactly of the Mesa
       source code in nx-X11/extras/ is used and what not.
     - Drop more unused folders from tarball release / before .deb package build:
       .  nx-X11/programs/Xserver/miext/shadow/
       .  nx-X11/programs/Xserver/XpConfig/
       .  nx-X11/programs/Xserver/Xprint/
     - Makefile.nx-libs: Don't install Mesa header files into DESTDIR anymore.
     - Unify source tree reduction (debian/rules vs. roll-tarball.sh) via file/
       folder lists in text files named debian/CODE-REDUCTION_*.
     - Update 0991_fix-hr-typos.full.patch. Don't patch files that get removed by
       the NX code reduction effort.
     - Drop 0604_nx-X11_recent-freetype-API.full.patch. Not used in current build
       process.
     - Update 0600_nx-X11+nxcompext+nxcompshad_unique-libnames.full.patch. Don't
       patch files matter to the NX code reduction efforts.
     - Update 0031_nx-X11_parallel-make.full.patch. Don't patch .original files
       in NX code tree.
     - Drop patches: 0017_nx-X11_update-autotools-helper-files.full.patch,
       0018_nx-X11_update-libtool-ltmain-script.full.patch,
       0019_nx-X11_expat-build-against-system-libxmltok.full.patch. They patch
       files that are not used at build time.
 .
   * Patch system:
     - Prepend a "0" to every patch file name in debian/patches/. The patch
       order is now given by a 4 digit ID. Adapt only this changelog stanza to
       this modification.
 .
   * Debian/Ubuntu packaging:
     + Fully rework the way nx-libs gets packaged for Debian/Ubuntu.
     + Split up libnx-x11 into individual packages.
     + Provide dbg:packages for each bin:package containing binaries.
     + Use Makefile logic to install files into DESTDIR.
     + Provide dev:packages for each lib:package individually.
     + Provide nx-x11proto-*-dev packages for all libnx-* libraries.
     + Install _all_ library files (*.so*) to /usr/lib/<triplet>/, so
       no extra settings of LD_LIBRARY_PATH is necessary.
     + Add Multi-Arch support for Debian based distro versions that
       support Multi-Arch.
     + Support hardened builds for nxcomp* libraries.
     + Support hardened builds for nxagent and libNX_*.so files.
     + Add debian/*.symbols files for shared nx-X11 libraries.
     + Support .symbols for 64bit and 32bit alike.
     + Provide CDBS-generated debian/copyright.in file.
 .
   * debian/rules:
     + Backup nxcomp/VERSION file from NoMachine before replacing it with
       a symlink to debian/VERSION. Recreate the original file when cleaning
       up.
     + Fix removal of unused code (that part of the code that we know of so
       far). (The debian/rules file is a Makefile and Makefiles don't understand
       shell globbing with curly braces).
     + Correctly link config files (etc/rgb, etc/nxagent.keyboard,
       etc/x2goagent.keyboard) before dh_auto_build.
     + Add to B-D: expat.
     + Install upstream ChangeLogs into bin:packages.
     + Remove upstream nx-libs ChangeLog during override_dh_clean.
     + Use proper quoting on build flag vars (they may contain spaces).
 .
   * nx-libs.spec:
     + The gpg-offline bin:package is not available in our SLE repo. We can do
       without.
     + Update .spec file to meet changes in tarball size reduction and
       restructuring.
     + Use SONAME based library package naming scheme.
     + Mention NX technology in every package description.
     + Install man pages into bin:packages.
     + Make libNX_X11-6 and libXinerama1 compliant to Shared Library Policy.
     + Add Obsoletes: fields to all shared libs for marking the non-versioned
       library package (names) as obsolete.
     + Don't depend on nx-libs base package with fixed version.
     + Don't fail if removing *.a files fails due to the files being non-present.
     + Set PREFIX=%{_prefix} USRLIBDIR=%{_libdir} SHLIBDIR=%{_libdir} at build
       time.
     + Assure that BuildRoot: is set.
     + On SLE 11.x: libX* packages are prefixed with "xorg-x11-".
     + Install "%{_libdir}/nx/bin" into nxproxy package.
 .
   * debian/roll-tarball.sh:
     + Install etc/ files into etc/ subfolder (rgb, nxagent.keyboard,
       x2goagent.keyboard).
 .
   [ Horst Schirmeier ]
   * Update 0320_nxagent_configurable-keystrokes.full.patch. Fix a typo that
     prevented the /etc/nxagent/keystrokes.cfg file from being parsed. (Fixes:
     #741).
   * Add 0321_nxagent_x2go-specific-keystroke-config.full.patch. If nxagent is
     launched as x2goagent, use X2Go-specific paths for the keystrokes.cfg file.
     (Fixes: #744).
 .
   [ Michael DePaulo ]
   * Security Fixes:
     - Rebase loads of X.Org patches (mainly from RHEL-5) against NX. If not
       all patches from a CVE patch series appear here, then it means that
       the affected file/code is not used in NX at build time.
 .
     - X.Org CVE-2011-2895:
         1001-LZW-decompress-fix-for-CVE-2011-2895-From-xorg-lib-X.patch
     - X.Org CVE-2011-4028:
         1002-Fix-CVE-2011-4028-File-disclosure-vulnerability.-ups.patch
     - X.Org CVE-2013-4396:
         1003-Avoid-use-after-free-in-dix-dixfonts.c-doImageText-C.patch
     - X.Org CVE-2013-6462:
         1004-CVE-2013-6462-unlimited-sscanf-overflows-stack-buffe.patch
     - X.Org CVE-2014-0209:
         1005-CVE-2014-0209-integer-overflow-of-realloc-size-in-Fo.patch
         1006-CVE-2014-0209-integer-overflow-of-realloc-size-in-le.patch
     - X.Org CVE-2014-0210:
         1007-CVE-2014-0210-unvalidated-length-in-_fs_recv_conn_se.patch
         1009-CVE-2014-0210-unvalidated-lengths-when-reading-repli.patch
         1011-CVE-2014-0210-unvalidated-length-fields-in-fs_read_q.patch
         1014-CVE-2014-0210-unvalidated-length-fields-in-fs_read_e.patch
         1015-CVE-2014-0210-unvalidated-length-fields-in-fs_read_g.patch
         1016-CVE-2014-0210-unvalidated-length-fields-in-fs_read_l.patch
         1017-CVE-2014-0210-unvalidated-length-fields-in-fs_read_l.patch
     - X.Org CVE-2014-0211:
         1010-CVE-2014-0211-Integer-overflow-in-fs_get_reply-_fs_s.patch
         1012-CVE-2014-0211-integer-overflow-in-fs_read_extent_inf.patch
         1013-CVE-2014-0211-integer-overflow-in-fs_alloc_glyphs-fr.patch
         1018-unchecked-malloc-may-allow-unauthed-client-to-crash-.patch
     - X.Org CVE-2014-8092:
         1019-dix-integer-overflow-in-ProcPutImage-CVE-2014-8092-1.patch
         1020-dix-integer-overflow-in-GetHosts-CVE-2014-8092-2-4.patch
         1021-dix-integer-overflow-in-RegionSizeof-CVE-2014-8092-3.patch
         1022-dix-integer-overflow-in-REQUEST_FIXED_SIZE-CVE-2014-.patch
     - X.Org CVE-2014-8097:
         1023-dbe-unvalidated-lengths-in-DbeSwapBuffers-calls-CVE-.patch
     - X.Org CVE-2014-8095:
         1024-Xi-unvalidated-lengths-in-Xinput-extension-CVE-2014-.patch
     - X.Org CVE-2014-8096:
         1025-xcmisc-unvalidated-length-in-SProcXCMiscGetXIDList-C.patch
     - X.Org CVE-2014-8099:
         1026-Xv-unvalidated-lengths-in-XVideo-extension-swapped-p.patch
     - X.Org CVE-2014-8100:
         1027-render-check-request-size-before-reading-it-CVE-2014.patch
         1028-render-unvalidated-lengths-in-Render-extn.-swapped-p.patch
     - X.Org CVE-2014-8102:
         1029-xfixes-unvalidated-length-in-SProcXFixesSelectSelect.patch
     - X.Org CVE-2014-8101:
         1030-randr-unvalidated-lengths-in-RandR-extension-swapped.patch
     - X.Org CVE-2014-8093:
         1031-glx-Be-more-paranoid-about-variable-length-requests-.patch
         1032-glx-Be-more-strict-about-rejecting-invalid-image-siz.patch
         1033-glx-Additional-paranoia-in-__glXGetAnswerBuffer-__GL.patch
         1034-glx-Add-safe_-add-mul-pad-v3-CVE-2014-8093-4-6-v4.patch
         1036-glx-Integer-overflow-protection-for-non-generated-re.patch
     - X.Org CVE-2014-8098:
         1035-glx-Length-checking-for-GLXRender-requests-v2-CVE-20.patch
         1037-glx-Top-level-length-checking-for-swapped-VendorPriv.patch
         1038-glx-Length-checking-for-non-generated-single-request.patch
         1039-glx-Length-checking-for-RenderLarge-requests-v2-CVE-.patch
         1040-glx-Pass-remaining-request-length-into-varsize-v2-CV.patch
     - X.org CVE-2015-0255
         1104-xkb-Check-strings-length-against-request-size.patch
 .
     - Security fixes with no assigned CVE:
         1008-Don-t-crash-when-we-receive-an-FS_Error-from-the-fon.patch
 .
     - Rebase the following patches that are prerequisites for the
       CVE-2015-0255 patch:
         1101-Coverity-844-845-846-Fix-memory-leaks.patch
         1102-include-introduce-byte-counting-functions.patch
         1103-xkb-Don-t-swap-XkbSetGeometry-data-in-the-input-buff.patch
 .
     - Fix FTBFS due to the nxproxy executable already existing under
       /usr/lib/nx/bin/nx/
 .
   [ Mihai Moldovan ]
   * Change string "X2go" to "X2Go" where appropriate.
   * CVE security review:
     - Update 1007-CVE-2014-0210-unvalidated-length-in-_fs_recv_conn_se.patch.
       Use xfree() instead of free() in nx-libs.
     - Update 1011-CVE-2014-0210-unvalidated-length-fields-in-fs_read_q.patch.
       Apply correctly on nx-libs 3.6.x.
     - Update 1020-dix-integer-overflow-in-GetHosts-CVE-2014-8092-2-4.patch.
       Human-readable version of "1 MB".
     - Add 1041-nx-X11-lib-font-fc-fserve.c-initialize-remaining-buf.patch.
       Initialize remaining bufleft variables (nx-X11/lib/font/fc/fserve.c).
     - Add 1042-Do-proper-input-validation-to-fix-for-CVE-2011-2895.patch.
       Do proper input validation to fix for CVE-2011-2895.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#744; Package x2goagent. (Fri, 13 Mar 2015 15:05:12 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 13 Mar 2015 15:05:13 GMT) (full text, mbox, link).


Message #103 received at 744@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager <git-admin@x2go.org>
To: 744-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 744@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as closed
Date: Fri, 13 Mar 2015 16:02:46 +0100 (CET)
close #744
thanks

Hello,

we are very hopeful that X2Go issue #744 reported by you
has been resolved in the new release (2:3.5.0.29) of the
X2Go source project »src:nx-libs«.

You can view the complete changelog entry of src:nx-libs (2:3.5.0.29)
below, and you can use the following link to view all the code changes
between this and the last release of src:nx-libs.

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=3e4f8c722194feb520717493745bc864f78742a2;hp=c69789464eaf6db4775b636eabb7b315c9525924

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:nx-libs.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:nx-libs
Version: 2:3.5.0.29-0x2go2
Status: RELEASE
Date: Fri, 13 Mar 2015 15:50:00 +0100
Fixes: 741 744
Changes: 
 nx-libs (2:3.5.0.29-0x2go2) RELEASED; urgency=medium
 .
     [ Mike Gabriel ]
   * Update 0320_nxagent_configurable-keystrokes.full.patch. Fix patch header
     referring to keystrokes.cfg (plural), not keystroke.cfg.
   * Allow sysadmins to manipulate nxagent's / x2goagent's rgb file by placing
     it into /etc/nxagent or /etc/x2go.
   * Provide support for separate .keyboard files for nxagent/x2goagent.
   * Modify 0101_nxagent_set-rgb-path.full.patch. Allow configurable rgb files.
   * Extend 0999_nxagent_unbrand-nxagent-brand-x2goagent.full.patch. Let rgb
     file shipped with x2goagent supersede rgb file shipped with nxagent.
     FIXME: a better approach would be to decide at runtime if to use
     /etc/x2go/rgb or /etc/nxagent/rgb.
   * Extend 0999_nxagent_unbrand-nxagent-brand-x2goagent.full.patch. Allow
     separate .keyboard files for x2goagent and nxagent.
   * Update 0600_nx-X11+nxcompext+nxcompshad_unique-libnames.full.patch. Don't
     patch files that get removed during code reduction.
   * Add 0991_fix-hr-typos.full+lite.patch and 991_fix-hr-typos.full.patch.
     Fix several typos in upstream code detected by lintian.
   * Makefile.nx-libs: Don't allow symlinks to point into buildroot.
   * Makefile.nx-libs: Install man pages via main Makefile.
   * Add Description: and Author: fields to various patch headers.
   * Makefile.nx-libs: Run make install for nxproxy first, then create the
     wrapper script.
   * Make install-lite rule in Makefile.nx-libs more predictable and not
     rely on nxproxy/Makefile.in.
   * Makefile.nx-libs: Fix uninstall-lite rule. The nxproxy and nxcomp
     uninstallation has to be in uninstall-lite, not in uninstall-full.
   * Update 1042-Do-proper-input-validation-to-fix-for-CVE-2011-2895.patch.
     Fix broken comment paragraph, whitespace fix.
 .
   * NX code reduction efforts (from 93Mb to 41Mb):
     - Drop more unused code in nx-X11/programs/Xserver/hw/. Do this in
       roll-tarball.sh and in debian/rules alike.
     - Stop shipping unused / very old xterm code.
     - Drop nx-X11/programs/Xserver/hw/xfree86 except of four files symlinked
       to other locations in the source tree at build time.
     - More source tree size reduction by analyzing what exactly of the Mesa
       source code in nx-X11/extras/ is used and what not.
     - Drop more unused folders from tarball release / before .deb package build:
       .  nx-X11/programs/Xserver/miext/shadow/
       .  nx-X11/programs/Xserver/XpConfig/
       .  nx-X11/programs/Xserver/Xprint/
     - Makefile.nx-libs: Don't install Mesa header files into DESTDIR anymore.
     - Unify source tree reduction (debian/rules vs. roll-tarball.sh) via file/
       folder lists in text files named debian/CODE-REDUCTION_*.
     - Update 0991_fix-hr-typos.full.patch. Don't patch files that get removed by
       the NX code reduction effort.
     - Drop 0604_nx-X11_recent-freetype-API.full.patch. Not used in current build
       process.
     - Update 0600_nx-X11+nxcompext+nxcompshad_unique-libnames.full.patch. Don't
       patch files matter to the NX code reduction efforts.
     - Update 0031_nx-X11_parallel-make.full.patch. Don't patch .original files
       in NX code tree.
     - Drop patches: 0017_nx-X11_update-autotools-helper-files.full.patch,
       0018_nx-X11_update-libtool-ltmain-script.full.patch,
       0019_nx-X11_expat-build-against-system-libxmltok.full.patch. They patch
       files that are not used at build time.
 .
   * Patch system:
     - Prepend a "0" to every patch file name in debian/patches/. The patch
       order is now given by a 4 digit ID. Adapt only this changelog stanza to
       this modification.
 .
   * Debian/Ubuntu packaging:
     + Fully rework the way nx-libs gets packaged for Debian/Ubuntu.
     + Split up libnx-x11 into individual packages.
     + Provide dbg:packages for each bin:package containing binaries.
     + Use Makefile logic to install files into DESTDIR.
     + Provide dev:packages for each lib:package individually.
     + Provide nx-x11proto-*-dev packages for all libnx-* libraries.
     + Install _all_ library files (*.so*) to /usr/lib/<triplet>/, so
       no extra settings of LD_LIBRARY_PATH is necessary.
     + Add Multi-Arch support for Debian based distro versions that
       support Multi-Arch.
     + Support hardened builds for nxcomp* libraries.
     + Support hardened builds for nxagent and libNX_*.so files.
     + Add debian/*.symbols files for shared nx-X11 libraries.
     + Support .symbols for 64bit and 32bit alike.
     + Provide CDBS-generated debian/copyright.in file.
 .
   * debian/rules:
     + Backup nxcomp/VERSION file from NoMachine before replacing it with
       a symlink to debian/VERSION. Recreate the original file when cleaning
       up.
     + Fix removal of unused code (that part of the code that we know of so
       far). (The debian/rules file is a Makefile and Makefiles don't understand
       shell globbing with curly braces).
     + Correctly link config files (etc/rgb, etc/nxagent.keyboard,
       etc/x2goagent.keyboard) before dh_auto_build.
     + Add to B-D: expat.
     + Install upstream ChangeLogs into bin:packages.
     + Remove upstream nx-libs ChangeLog during override_dh_clean.
     + Use proper quoting on build flag vars (they may contain spaces).
 .
   * nx-libs.spec:
     + The gpg-offline bin:package is not available in our SLE repo. We can do
       without.
     + Update .spec file to meet changes in tarball size reduction and
       restructuring.
     + Use SONAME based library package naming scheme.
     + Mention NX technology in every package description.
     + Install man pages into bin:packages.
     + Make libNX_X11-6 and libXinerama1 compliant to Shared Library Policy.
     + Add Obsoletes: fields to all shared libs for marking the non-versioned
       library package (names) as obsolete.
     + Don't depend on nx-libs base package with fixed version.
     + Don't fail if removing *.a files fails due to the files being non-present.
     + Set PREFIX=%{_prefix} USRLIBDIR=%{_libdir} SHLIBDIR=%{_libdir} at build
       time.
     + Assure that BuildRoot: is set.
     + On SLE 11.x: libX* packages are prefixed with "xorg-x11-".
     + Install "%{_libdir}/nx/bin" into nxproxy package.
 .
   * debian/roll-tarball.sh:
     + Install etc/ files into etc/ subfolder (rgb, nxagent.keyboard,
       x2goagent.keyboard).
 .
   [ Horst Schirmeier ]
   * Update 0320_nxagent_configurable-keystrokes.full.patch. Fix a typo that
     prevented the /etc/nxagent/keystrokes.cfg file from being parsed. (Fixes:
     #741).
   * Add 0321_nxagent_x2go-specific-keystroke-config.full.patch. If nxagent is
     launched as x2goagent, use X2Go-specific paths for the keystrokes.cfg file.
     (Fixes: #744).
 .
   [ Michael DePaulo ]
   * Security Fixes:
     - Rebase loads of X.Org patches (mainly from RHEL-5) against NX. If not
       all patches from a CVE patch series appear here, then it means that
       the affected file/code is not used in NX at build time.
 .
     - X.Org CVE-2011-2895:
         1001-LZW-decompress-fix-for-CVE-2011-2895-From-xorg-lib-X.patch
     - X.Org CVE-2011-4028:
         1002-Fix-CVE-2011-4028-File-disclosure-vulnerability.-ups.patch
     - X.Org CVE-2013-4396:
         1003-Avoid-use-after-free-in-dix-dixfonts.c-doImageText-C.patch
     - X.Org CVE-2013-6462:
         1004-CVE-2013-6462-unlimited-sscanf-overflows-stack-buffe.patch
     - X.Org CVE-2014-0209:
         1005-CVE-2014-0209-integer-overflow-of-realloc-size-in-Fo.patch
         1006-CVE-2014-0209-integer-overflow-of-realloc-size-in-le.patch
     - X.Org CVE-2014-0210:
         1007-CVE-2014-0210-unvalidated-length-in-_fs_recv_conn_se.patch
         1009-CVE-2014-0210-unvalidated-lengths-when-reading-repli.patch
         1011-CVE-2014-0210-unvalidated-length-fields-in-fs_read_q.patch
         1014-CVE-2014-0210-unvalidated-length-fields-in-fs_read_e.patch
         1015-CVE-2014-0210-unvalidated-length-fields-in-fs_read_g.patch
         1016-CVE-2014-0210-unvalidated-length-fields-in-fs_read_l.patch
         1017-CVE-2014-0210-unvalidated-length-fields-in-fs_read_l.patch
     - X.Org CVE-2014-0211:
         1010-CVE-2014-0211-Integer-overflow-in-fs_get_reply-_fs_s.patch
         1012-CVE-2014-0211-integer-overflow-in-fs_read_extent_inf.patch
         1013-CVE-2014-0211-integer-overflow-in-fs_alloc_glyphs-fr.patch
         1018-unchecked-malloc-may-allow-unauthed-client-to-crash-.patch
     - X.Org CVE-2014-8092:
         1019-dix-integer-overflow-in-ProcPutImage-CVE-2014-8092-1.patch
         1020-dix-integer-overflow-in-GetHosts-CVE-2014-8092-2-4.patch
         1021-dix-integer-overflow-in-RegionSizeof-CVE-2014-8092-3.patch
         1022-dix-integer-overflow-in-REQUEST_FIXED_SIZE-CVE-2014-.patch
     - X.Org CVE-2014-8097:
         1023-dbe-unvalidated-lengths-in-DbeSwapBuffers-calls-CVE-.patch
     - X.Org CVE-2014-8095:
         1024-Xi-unvalidated-lengths-in-Xinput-extension-CVE-2014-.patch
     - X.Org CVE-2014-8096:
         1025-xcmisc-unvalidated-length-in-SProcXCMiscGetXIDList-C.patch
     - X.Org CVE-2014-8099:
         1026-Xv-unvalidated-lengths-in-XVideo-extension-swapped-p.patch
     - X.Org CVE-2014-8100:
         1027-render-check-request-size-before-reading-it-CVE-2014.patch
         1028-render-unvalidated-lengths-in-Render-extn.-swapped-p.patch
     - X.Org CVE-2014-8102:
         1029-xfixes-unvalidated-length-in-SProcXFixesSelectSelect.patch
     - X.Org CVE-2014-8101:
         1030-randr-unvalidated-lengths-in-RandR-extension-swapped.patch
     - X.Org CVE-2014-8093:
         1031-glx-Be-more-paranoid-about-variable-length-requests-.patch
         1032-glx-Be-more-strict-about-rejecting-invalid-image-siz.patch
         1033-glx-Additional-paranoia-in-__glXGetAnswerBuffer-__GL.patch
         1034-glx-Add-safe_-add-mul-pad-v3-CVE-2014-8093-4-6-v4.patch
         1036-glx-Integer-overflow-protection-for-non-generated-re.patch
     - X.Org CVE-2014-8098:
         1035-glx-Length-checking-for-GLXRender-requests-v2-CVE-20.patch
         1037-glx-Top-level-length-checking-for-swapped-VendorPriv.patch
         1038-glx-Length-checking-for-non-generated-single-request.patch
         1039-glx-Length-checking-for-RenderLarge-requests-v2-CVE-.patch
         1040-glx-Pass-remaining-request-length-into-varsize-v2-CV.patch
     - X.org CVE-2015-0255
         1104-xkb-Check-strings-length-against-request-size.patch
 .
     - Security fixes with no assigned CVE:
         1008-Don-t-crash-when-we-receive-an-FS_Error-from-the-fon.patch
 .
     - Rebase the following patches that are prerequisites for the
       CVE-2015-0255 patch:
         1101-Coverity-844-845-846-Fix-memory-leaks.patch
         1102-include-introduce-byte-counting-functions.patch
         1103-xkb-Don-t-swap-XkbSetGeometry-data-in-the-input-buff.patch
 .
     - Fix FTBFS due to the nxproxy executable already existing under
       /usr/lib/nx/bin/nx/
 .
   [ Mihai Moldovan ]
   * Change string "X2go" to "X2Go" where appropriate.
   * CVE security review:
     - Update 1007-CVE-2014-0210-unvalidated-length-in-_fs_recv_conn_se.patch.
       Use xfree() instead of free() in nx-libs.
     - Update 1011-CVE-2014-0210-unvalidated-length-fields-in-fs_read_q.patch.
       Apply correctly on nx-libs 3.6.x.
     - Update 1020-dix-integer-overflow-in-GetHosts-CVE-2014-8092-2-4.patch.
       Human-readable version of "1 MB".
     - Add 1041-nx-X11-lib-font-fc-fserve.c-initialize-remaining-buf.patch.
       Initialize remaining bufleft variables (nx-X11/lib/font/fc/fserve.c).
     - Add 1042-Do-proper-input-validation-to-fix-for-CVE-2011-2895.patch.
       Do proper input validation to fix for CVE-2011-2895.


Message sent on to Horst Schirmeier <horst@schirmeier.com>:
Bug#744. (Fri, 13 Mar 2015 15:05:36 GMT) (full text, mbox, link).


Message sent on to Horst Schirmeier <horst@schirmeier.com>:
Bug#744. (Fri, 13 Mar 2015 15:05:37 GMT) (full text, mbox, link).


Message sent on to Horst Schirmeier <horst@schirmeier.com>:
Bug#744. (Fri, 13 Mar 2015 15:05:38 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sat, 11 Apr 2015 05:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Nov 14 03:41:08 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.